Tasmin
4 years ago
1376
7
Laravel

Problem after composer update

Posted 4 years ago by Tasmin

I wanted to install intervention image in my project. So, I added " "require": { "intervention/image": "^2.3" }" to my composer.json file. and then run the composer.update command. but now each and every value of provider array is showiing undefined. Terminal says

Class Illuminate\Foundation\ComposerScripts is not autoloadable, can not call post-update-cmd script

php artisan optimize PHP Fatal error: Uncaught Error: Class 'Illuminate\Foundation\Application' not found in /home/vagrant/Code/newproject/bootstrap/app.php:14 Stack trace: #0 /home/vagrant/Code/newproject/artisan(18): require_once() #1 {main} thrown in /home/vagrant/Code/newproject/bootstrap/app.php on line 14

Fatal error: Uncaught Error: Class 'Illuminate\Foundation\Application' not found in /home/vagrant/Code/newproject/bootstrap/app.php on line 14

Error: Class 'Illuminate\Foundation\Application' not found in /home/vagrant/Code/newproject/bootstrap/app.php on line 14

Call Stack: 0.0004 353392 1. {main}() /home/vagrant/Code/newproject/artisan:0 0.0277 836072 2. require_once('/home/vagrant/Code/newproject/bootstrap/app.php') /home/vagrant/Code/newproject/artisan:18

Script php artisan optimize handling the post-update-cmd event returned with error code 255

What to do? Google could not help me

Please sign in or create an account to participate in this conversation.